Support » Plugin: HandL UTM Grabber » PHP 7.3 support

  • Resolved billybigpotatoes

    (@billybigpotatoes)


    We are seeing a number of warnings when testing with PHP 7.3 – please can you review. It is preventing us from upgrading to 7.3

    Warning: preg_match(): Compilation failed: invalid range in character class at offset 4 wp-content/plugins/handl-utm-grabber/simple_html_dom.php:1364

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Haktan Suren

    (@haktansuren)

    it’s actually the 3rd party script I am using in the plugin… In the new version of the PHP, the hyphen should be escaped as follows:

    Line 1364
    if (!preg_match(“/^[\w-:]+$/”, $tag)) {

    should be replaced to

    if (!preg_match(“/^[\w\-:]+$/”, $tag)) {

    Plugin Author Haktan Suren

    (@haktansuren)

    This issue has been officially fixed as of v2.6.4

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.